#![allow(bad_style)]

use hektor::*;

#[test]
fn Vec2_as_ref_as_mut() {
  let mut v = Vec2::default();
  {
    let _: &[f32; 2] = v.as_ref();
  }
  let _: &mut [f32; 2] = v.as_mut();
}

#[test]
fn Vec3_as_ref_as_mut() {
  let mut v = Vec3::default();
  {
    let _: &[f32; 3] = v.as_ref();
  }
  let _: &mut [f32; 3] = v.as_mut();
}

#[test]
fn Vec4_as_ref_as_mut() {
  let mut v = Vec4::default();
  {
    let _: &[f32; 4] = v.as_ref();
  }
  let _: &mut [f32; 4] = v.as_mut();
}

#[test]
fn Quat_as_ref_as_mut() {
  let mut q = Quat::default();
  {
    let _: &[f32; 4] = q.as_ref();
  }
  let _: &mut [f32; 4] = q.as_mut();
}

#[test]
fn Mat2_as_ref_as_mut() {
  let mut m = Mat2::default();
  {
    let _: &[Vec2; 2] = m.as_ref();
  }
  let _: &mut [Vec2; 2] = m.as_mut();
}

#[test]
fn Mat3_as_ref_as_mut() {
  let mut m = Mat3::default();
  {
    let _: &[Vec3; 3] = m.as_ref();
  }
  let _: &mut [Vec3; 3] = m.as_mut();
}

#[test]
fn Mat4_as_ref_as_mut() {
  let mut m = Mat4::default();
  {
    let _: &[Vec4; 4] = m.as_ref();
  }
  let _: &mut [Vec4; 4] = m.as_mut();
}
