#![allow(bad_style)]

use hektor::*;

#[test]
fn Vec2_display() {
  assert_eq!(&format!("{}", Vec2::default()), "(0, 0)");
}

#[test]
fn Vec3_display() {
  assert_eq!(&format!("{}", Vec3::default()), "(0, 0, 0)");
}

#[test]
fn Vec4_display() {
  assert_eq!(&format!("{}", Vec4::default()), "(0, 0, 0, 0)");
}

#[test]
fn Mat2_display() {
  assert_eq!(&format!("{}", Mat2::default()), "| 0, 0 |\n| 0, 0 |");
}

#[test]
fn Mat3_display() {
  assert_eq!(
    &format!("{}", Mat3::default()),
    "| 0, 0, 0 |\n| 0, 0, 0 |\n| 0, 0, 0 |"
  );
}

#[test]
fn Mat4_display() {
  assert_eq!(
    &format!("{}", Mat4::default()),
    "| 0, 0, 0, 0 |\n| 0, 0, 0, 0 |\n| 0, 0, 0, 0 |\n| 0, 0, 0, 0 |"
  );
}

#[test]
fn Quat_display() {
  assert_eq!(&format!("{}", Quat::default()), "0 + 0i + 0j + 0k");
}
