// swizzle characters: ['x', 'y']
use super::*;
impl Vec2 {
  /// Swizzle: obtains the `xx` combination
  pub fn xx(self) -> Self {
    Self {
      x: self.x,
      y: self.x,
    }
  }
  /// Swizzle: obtains the `xy` combination
  pub fn xy(self) -> Self {
    Self {
      x: self.x,
      y: self.y,
    }
  }
  /// Swizzle: obtains the `yx` combination
  pub fn yx(self) -> Self {
    Self {
      x: self.y,
      y: self.x,
    }
  }
  /// Swizzle: obtains the `yy` combination
  pub fn yy(self) -> Self {
    Self {
      x: self.y,
      y: self.y,
    }
  }
}
